%define kdeprefix /usr
%define version 0.83
%define kderelease 1

%define qtver  qt >= 1.42

%define kdename  kdiff
Name: %{kdename}
Summary: KDiff provides a graphical view of the 'diff' command's output
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://ftp.kde.org/pub/kde/unstable/apps/utils/%{kdename}-%{version}.tgz
License: GPL
Group: Development/Tools
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
KDiff is a KDE frontend to diff, a utility to make patches.  It shows
the differences between the two files side-by-side with different colors
hilighting the changes, which is much easier to understand than the native
output format from diff.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
find . -name .deps | xargs rm -fr

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







